import { a as _extends, c as _inheritsLoose, d as _assertThisInitialized, e as _defineProperty } from './chunk-fb907809.js';
import { createElement, Component, createRef } from 'react';
import { findDOMNode } from 'react-dom';
import { func, string, oneOfType, arrayOf, bool, number, oneOf, object, node } from 'prop-types';
import { theme } from 'styled-tools';
import Popper from 'popper.js';
import styled from './styled.js';
import { a as getSelector } from './chunk-0cfb3fe1.js';
import { a as as } from './as-b6817d40.js';
import Hidden from './Hidden.js';
import { a as PopoverArrow } from './chunk-9eb68ecc.js';
import { a as callAll } from './chunk-d8771a86.js';
import { a as HiddenContainer } from './chunk-52a78301.js';
import { c as HiddenToggle, b as HiddenShow, a as HiddenHide } from './chunk-ce057e46.js';
import 'styled-components';
import '@emotion/is-prop-valid';
import 'hoist-non-react-statics';
import './chunk-bbbc8dce.js';
import './chunk-a7ce379e.js';
import './Box.js';
import 'constate';

var PopoverComponent =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(PopoverComponent, _React$Component);

  function PopoverComponent() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      placement: _this.props.placement,
      translateX: undefined,
      translateY: undefined,
      originX: undefined,
      originY: undefined
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "popper", void 0);

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "getPopover", function () {
      return findDOMNode(_assertThisInitialized(_assertThisInitialized(_this)));
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "modifier", function (data) {
      var placement = data.placement,
          offsets = data.offsets,
          arrowElement = data.arrowElement,
          arrowStyles = data.arrowStyles;
      var reference = offsets.reference,
          popper = offsets.popper;

      var _placement$split = placement.split("-"),
          position = _placement$split[0];

      var isVertical = ["top", "bottom"].indexOf(position) >= 0;
      var referenceCenter = isVertical ? reference.width / 2 : reference.height / 2;
      var side = isVertical ? "left" : "top";
      var sideValue = referenceCenter - popper[side];

      if (arrowElement) {
        var top = arrowStyles.top,
            left = arrowStyles.left;
        arrowElement.style.top = isVertical ? "" : top + "px";
        arrowElement.style.left = isVertical ? left + "px" : "";
      }

      _this.setState({
        originX: isVertical ? sideValue + "px - 50%" : 0,
        originY: !isVertical ? sideValue + "px - 50%" : 0,
        translateX: Math.round(popper.left),
        translateY: Math.round(popper.top),
        placement: data.placement
      });

      return data;
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "getOptions", function () {
      var _this$props = _this.props,
          placement = _this$props.placement,
          flip = _this$props.flip,
          shift = _this$props.shift;

      var popover = _this.getPopover();

      var arrow = popover.querySelector(getSelector(PopoverArrow));
      return {
        placement: placement,
        modifiers: {
          hide: {
            enabled: false
          },
          applyStyle: {
            enabled: false
          },
          arrow: arrow ? {
            enabled: !!arrow,
            element: arrow
          } : undefined,
          flip: {
            enabled: flip,
            padding: 16
          },
          shift: {
            enabled: shift
          },
          offset: {
            offset: "0, " + _this.props.gutter
          },
          setState: {
            order: 900,
            enabled: true,
            fn: _this.modifier
          }
        }
      };
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "initPopper", function () {
      if (!_this.popper) {
        var popover = _this.getPopover();

        if (popover.parentNode) {
          _this.popper = new Popper(popover.parentNode, popover, _this.getOptions());
        }
      }
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "destroyPopper", function () {
      if (_this.popper) {
        _this.popper.destroy();

        _this.popper = undefined;
      }
    });

    return _this;
  }

  var _proto = PopoverComponent.prototype;

  _proto.componentDidMount = function componentDidMount() {
    this.initPopper();
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    this.destroyPopper();
  };

  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
    if (prevProps.visible !== this.props.visible || prevProps.placement !== this.props.placement || prevProps.children !== this.props.children) {
      this.destroyPopper();
      this.initPopper();
    }
  };

  _proto.getDefaultPlacement = function getDefaultPlacement() {
    var placement = this.state.placement;

    if (placement) {
      return placement.replace(/-.+$/, "");
    }

    return undefined;
  };

  _proto.render = function render() {
    var defaultPlacement = this.getDefaultPlacement();
    return createElement(Hidden, _extends({
      id: this.props.popoverId
    }, this.state, {
      "data-placement": this.state.placement,
      defaultSlide: defaultPlacement,
      defaultExpand: defaultPlacement,
      slideOffset: this.props.gutter
    }, this.props, {
      unmount: false
    }));
  };

  return PopoverComponent;
}(Component);

var Popover = styled(PopoverComponent).withConfig({
  displayName: "Popover",
  componentId: "s6tfv8-0"
})(["position:absolute;top:0;left:0;user-select:auto;cursor:auto;z-index:999;", ";"], theme("Popover")); // @ts-ignore

Popover.propTypes = {
  placement: oneOf(["auto", "top", "right", "bottom", "left", "top-start", "right-start", "bottom-start", "left-start", "top-end", "right-end", "bottom-end", "left-end"]),
  flip: bool,
  shift: bool,
  gutter: oneOfType([number, string]),
  popoverId: string
};
Popover.defaultProps = {
  role: "group",
  placement: "bottom",
  hideOnEsc: true,
  flip: true,
  shift: true,
  gutter: 12,
  opaque: true,
  palette: "white"
};
var Popover$1 = as("div")(Popover);

var id = -1;

var uniqueId = function uniqueId(prefix) {
  id += 1;
  return prefix ? "" + prefix + id : "" + id;
};

var onMount = function onMount(_ref) {
  var setState = _ref.setState;
  setState({
    popoverId: uniqueId("popover")
  });
};

var PopoverContainer = function PopoverContainer(props) {
  return createElement(HiddenContainer, _extends({}, props, {
    onMount: callAll(onMount, props.onMount)
  }));
};

var PopoverToggleComponent = function PopoverToggleComponent(props) {
  return createElement(HiddenToggle, _extends({
    "aria-expanded": props.visible,
    "aria-controls": props.popoverId,
    "aria-haspopup": true
  }, props));
};

var PopoverToggle = styled(PopoverToggleComponent).withConfig({
  displayName: "PopoverToggle",
  componentId: "sc-1kg8ilz-0"
})(["", ";"], theme("PopoverToggle")); // @ts-ignore

PopoverToggle.propTypes = {
  popoverId: string,
  visible: bool
};
var PopoverToggle$1 = as("button")(PopoverToggle);

var PopoverShowComponent = function PopoverShowComponent(props) {
  return createElement(HiddenShow, _extends({
    "aria-expanded": props.visible,
    "aria-controls": props.popoverId,
    "aria-haspopup": true
  }, props));
};

var PopoverShow = styled(PopoverShowComponent).withConfig({
  displayName: "PopoverShow",
  componentId: "fiwcg2-0"
})(["", ";"], theme("PopoverShow")); // @ts-ignore

PopoverShow.propTypes = {
  popoverId: string,
  visible: bool
};
var PopoverShow$1 = as("button")(PopoverShow);

var PopoverHideComponent = function PopoverHideComponent(props) {
  return createElement(HiddenHide, _extends({
    "aria-expanded": props.visible,
    "aria-controls": props.popoverId,
    "aria-haspopup": true
  }, props));
};

var PopoverHide = styled(PopoverHideComponent).withConfig({
  displayName: "PopoverHide",
  componentId: "sc-1dmx1zw-0"
})(["", ";"], theme("PopoverHide")); // @ts-ignore

PopoverHide.propTypes = {
  popoverId: string,
  visible: bool
};
var PopoverHide$1 = as("button")(PopoverHide);

var Popover$2 = Object.assign(Popover$1, {
  Arrow: PopoverArrow,
  Container: PopoverContainer,
  Toggle: PopoverToggle$1,
  Show: PopoverShow$1,
  Hide: PopoverHide$1
});

export default Popover$2;
