'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var __chunk_1 = require('./chunk-582bef72.js');
var React = require('react');
var PropTypes = require('prop-types');
var styledTools = require('styled-tools');
var hoistNonReactStatics = _interopDefault(require('hoist-non-react-statics'));
var styled = require('./styled.js');
var as = require('./as-e642985a.js');
var Hidden = require('./Hidden.js');
var __chunk_6 = require('./chunk-5504bbae.js');
var __chunk_10 = require('./chunk-bc59feb1.js');
require('styled-components');
require('@emotion/is-prop-valid');
require('react-dom');
require('./chunk-b4ae9232.js');
require('./chunk-f0c301b2.js');
require('./chunk-25591e69.js');
require('./Box.js');
require('./chunk-9ddd950d.js');
require('constate');

var StepComponent =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(StepComponent, _React$Component);

  function StepComponent(props) {
    var _this;

    _this = _React$Component.call(this, props) || this;
    var _this$props = _this.props,
        register = _this$props.register,
        step = _this$props.step,
        order = _this$props.order;
    register(step, order);
    return _this;
  }

  var _proto = StepComponent.prototype;

  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
    var _this$props2 = this.props,
        step = _this$props2.step,
        update = _this$props2.update,
        order = _this$props2.order;

    if (prevProps.step !== step || prevProps.order !== order) {
      update(prevProps.step, step, order);
    }
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    var _this$props3 = this.props,
        step = _this$props3.step,
        unregister = _this$props3.unregister;
    unregister(step);
  };

  _proto.render = function render() {
    var _this$props4 = this.props,
        isCurrent = _this$props4.isCurrent,
        step = _this$props4.step;
    return React.createElement(Hidden.default, __chunk_1._extends({
      unmount: true,
      visible: isCurrent(step)
    }, this.props));
  };

  return StepComponent;
}(React.Component);

hoistNonReactStatics(StepComponent, Hidden.default);
var Step = styled.default(StepComponent).withConfig({
  displayName: "Step",
  componentId: "sc-1b10ris-0"
})(["", ";"], styledTools.theme("Step")); // @ts-ignore

Step.propTypes = {
  step: PropTypes.string.isRequired,
  register: PropTypes.func.isRequired,
  update: PropTypes.func.isRequired,
  unregister: PropTypes.func.isRequired,
  isCurrent: PropTypes.func.isRequired,
  order: PropTypes.number
};
var Step$1 = as.as("div")(Step);

var toggle = function toggle(props) {
  return function () {
    return props.toggle && props.toggle(props.step);
  };
};

var Component = function Component(props) {
  return React.createElement(__chunk_6.HiddenToggle, __chunk_1._extends({}, props, {
    toggle: toggle(props)
  }));
};

var StepToggle = styled.default(Component).withConfig({
  displayName: "StepToggle",
  componentId: "sc-73h2vf-0"
})(["", ";"], styledTools.theme("StepToggle")); // @ts-ignore

StepToggle.propTypes = {
  toggle: PropTypes.func.isRequired,
  step: PropTypes.string.isRequired
};
var StepToggle$1 = as.as("button")(StepToggle);

var show = function show(props) {
  return function () {
    return props.show && props.show(props.step);
  };
};

var Component$1 = function Component(props) {
  return React.createElement(__chunk_6.HiddenShow, __chunk_1._extends({}, props, {
    show: show(props)
  }));
};

var StepShow = styled.default(Component$1).withConfig({
  displayName: "StepShow",
  componentId: "rrfdz6-0"
})(["", ";"], styledTools.theme("StepShow")); // @ts-ignore

StepShow.propTypes = {
  show: PropTypes.func.isRequired,
  step: PropTypes.string.isRequired
};
var StepShow$1 = as.as("button")(StepShow);

var StepHide = styled.default(__chunk_6.HiddenHide).withConfig({
  displayName: "StepHide",
  componentId: "sc-1uq7y3z-0"
})(["", ";"], styledTools.theme("StepHide"));
var StepHide$1 = as.as("button")(StepHide);

var Step$2 = Object.assign(Step$1, {
  Container: __chunk_10.StepContainer,
  Toggle: StepToggle$1,
  Show: StepShow$1,
  Hide: StepHide$1,
  Next: __chunk_10.StepNext,
  Previous: __chunk_10.StepPrevious
});

exports.default = Step$2;
