import * as React from "react";
import { BoxProps } from "../Box";
import { HiddenContainerActions } from "./HiddenContainer";
export declare type Position = "top" | "right" | "bottom" | "left";
export interface HiddenProps extends BoxProps {
    visible?: boolean;
    hide?: HiddenContainerActions["hide"];
    onTransitionEnd?: React.TransitionEventHandler;
    hideOnEsc?: boolean;
    hideOnClickOutside?: boolean;
    unmount?: boolean;
    fade?: boolean;
    expand?: boolean | "center" | Position;
    slide?: boolean | Position;
    duration?: string;
    delay?: string;
    timing?: string;
    animated?: boolean;
    transitioning?: boolean;
    translateX?: number | string;
    translateY?: number | string;
    defaultSlide?: boolean | Position;
    defaultExpand?: boolean | Position;
    slideOffset?: number | string;
}
declare const _default: import("../_utils/types").AsComponent<"div", import("styled-components").ThemedOuterStyledProps<Pick<HiddenProps, "visible" | "opaque" | "fixed" | "hide" | "absolute" | "relative" | "static" | "sticky" | "onTransitionEnd" | "palette" | "tone" | "defaultExpand" | "expand" | "defaultSlide" | "slide" | "translateX" | "translateY" | "slideOffset" | "hideOnEsc" | "hideOnClickOutside" | "unmount" | "fade" | "duration" | "delay" | "timing" | "animated" | "transitioning"> & {
    theme?: any;
}, any>>;
export default _default;
